from flask import jsonify
from flask import request
from .base import BaseView
from api.errors import DateFormatError
from api.errors import Messages
from api.errors import ResourceNotFound


class HistoricalView(BaseView):
    def get(self, ticker):
        try:
            data = self.service.get_historical_ticker(ticker, params=request.args)
            return jsonify(data), 200
        except ResourceNotFound as e:
            return jsonify({"error": e.message}), 404
        except DateFormatError as e:
            return jsonify({"error": e.message}), 400
        except Exception as e:
            return jsonify({"error": Messages.INTERNAL_SERVER_ERROR}), 500
