from flask import jsonify
from flask import request
from .base import BaseView
from api.errors import ResourceNotFound
from api.errors import InvalidSma
from api.errors import Messages


class SmaView(BaseView):
    def get(self, ticker):
        try:
            data = self.service.get_sma(ticker, request.args)
            return jsonify({"data": data}), 200
        except InvalidSma as e:
            return jsonify({"error": e.message}), 400
        except ResourceNotFound as e:
            return jsonify({"error": e.message}), 400
        except Exception as e:
            return jsonify({"error": Messages.INTERNAL_SERVER_ERROR}), 500
