from datetime import datetime
from sqlalchemy import Column
from sqlalchemy import DateTime
from sqlalchemy import Float
from sqlalchemy import Integer
from sqlalchemy import String
from model.base import Base


class Sma(Base):
    __tablename__ = 'sma'


    id = Column(Integer, primary_key=True, autoincrement=True)
    date = Column(DateTime)
    symbol = Column(String(15), nullable=False)
    close = Column(Float)
    sma_5 = Column(Float)
    sma_10 = Column(Float)
    sma_20 = Column(Float)
    sma_50 = Column(Float)
    sma_100 = Column(Float)
    sma_200 = Column(Float)


    def to_dict(self):
        return {
            "date": self.date.strftime("%Y-%m-%d"),
            "symbol": self.symbol,
            "close": self.close,
            "sma_5": self.sma_5,
            "sma_10": self.sma_10,
            "sma_20": self.sma_20,
            "sma_50": self.sma_50,
            "sma_100": self.sma_100,
            "sma_200": self.sma_200,
        }