from datetime import datetime
from sqlalchemy import Column
from sqlalchemy import DateTime
from sqlalchemy import Float
from sqlalchemy import Integer
from sqlalchemy import String
from model.base import Base


class Ticker(Base):
    __tablename__ = 'ticker'


    id = Column(Integer, primary_key=True, autoincrement=True)
    date = Column(DateTime)
    symbol = Column(String(15), nullable=False)
    open = Column(Float)
    high = Column(Float)
    low = Column(Float)
    close = Column(Float)
    volume = Column(Integer)


    def to_dict(self):
        return {
            "date": self.date.strftime("%Y-%m-%d"),
            "symbol": self.symbol,
            "open": self.open,
            "high": self.high,
            "low": self.low,
            "close": self.close,
            "volume": self.volume,
        }